<template>
    <div :id="msgId" class="textBox">
        {{ msgText }}
    </div>
</template>

<script>
export default {
    data() {
        return {
            msgId: null,
            msgText: '',
        }
    },
    props: {
        childObject: {
            type: Object,
            required: true
        }
    },
    watch: {
        childObject: {
            handler(newVal, oldVal) {
                if (newVal) {
                    this.setTextMsg(newVal)
                }
            },
            deep: true,
            immediate: true
        }
    },
    methods: {
        setTextMsg(res) {
            this.id = res.id
            if (res.mine) {
                this.msgText = res.msg
            } else {
                var flag = 0;
                var msg = res.msg;
                var interVal = setInterval(() => {
                    if (flag == msg.length) {
                        clearInterval(interVal)
                        return
                    }
                    this.msgText += msg[flag]
                    flag++
                }, 200);
            }
        }
    }
}
</script>

<style></style>